npm command-line interface

# npm-explore @11.6.2

Browse an installed package

## Table of contents

- Synopsis
- Description
- Configuration

- `shell`

- See Also

### Synopsis

    npm explore <pkg> [ -- <command>]

Note: This command is unaware of workspaces.

### Description

Spawn a subshell in the directory of the installed package specified.

If a command is specified, then it is run in the subshell, which then immediately terminates.

This is particularly handy in the case of git submodules in the `node_modules` folder:

    npm explore some-dependency -- git pull origin master

Note that the package is not automatically rebuilt afterwards, so be sure to use `npm rebuild <pkg>` if you make any changes.

### Configuration

#### `shell`

- Default: SHELL environment variable, or "bash" on Posix, or "cmd.exe" on Windows
- Type: String

The shell to run for the `npm explore` command.

### See Also

- npm folders
- npm edit
- npm rebuild
- npm install